> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Void a Charge

> Void the payment of a previously captured preauth charge



## OpenAPI

````yaml post /charges/{flw_ref}/void
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /charges/{flw_ref}/void:
    post:
      tags:
        - Preauthorization
      summary: Void a Charge
      description: Void the payment of a previously captured preauth charge
      operationId: VoidaCharge
      parameters:
        - name: flw_ref
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: FLW-MOCK-PREAUTH-1c4b0406fccc0fad316b46f947e870e9
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 10:16:40 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '874'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"36a-5Xzpj4oW4SqQcDAIJCBEDg"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/VoidaCharge-success'
                  - example:
                      status: success
                      message: Charge voided
                      data:
                        id: 4973327
                        tx_ref: YOUR_UNIQUE_REFERENCE
                        flw_ref: FLW-MOCK-PREAUTH-1c4b0406fccc0fad316b46f947e870e9
                        device_fingerprint: N/A
                        amount: 100
                        charged_amount: 100
                        app_fee: 5.8
                        merchant_fee: 0
                        processor_response: Approved
                        auth_model: NOAUTH
                        currency: NGN
                        ip: 52.209.154.143
                        narration: 'FLW-PBF CARD Transaction '
                        status: voided
                        auth_url: N/A
                        payment_type: card
                        plan: null
                        fraud_status: ok
                        charge_type: preauth
                        created_at: '2024-03-18T10:04:04.000Z'
                        account_id: 20937
                        customer:
                          id: 2373843
                          phone_number: null
                          name: Anonymous customer
                          email: developers@flutterwavego.com
                          created_at: '2024-03-18T10:04:03.000Z'
                        card:
                          first_6digits: '537728'
                          last_4digits: '7450'
                          issuer: MASTERCARD JSB PROBUSINESSBANK CREDITGOLD
                          country: RU
                          type: MASTERCARD
                          expiry: 09/31
              example:
                status: success
                message: Charge voided
                data:
                  id: 4973327
                  tx_ref: YOUR_UNIQUE_REFERENCE
                  flw_ref: FLW-MOCK-PREAUTH-1c4b0406fccc0fad316b46f947e870e9
                  device_fingerprint: N/A
                  amount: 100
                  charged_amount: 100
                  app_fee: 5.8
                  merchant_fee: 0
                  processor_response: Approved
                  auth_model: NOAUTH
                  currency: NGN
                  ip: 52.209.154.143
                  narration: 'FLW-PBF CARD Transaction '
                  status: voided
                  auth_url: N/A
                  payment_type: card
                  plan: null
                  fraud_status: ok
                  charge_type: preauth
                  created_at: '2024-03-18T10:04:04.000Z'
                  account_id: 20937
                  customer:
                    id: 2373843
                    phone_number: null
                    name: Anonymous customer
                    email: developers@flutterwavego.com
                    created_at: '2024-03-18T10:04:03.000Z'
                  card:
                    first_6digits: '537728'
                    last_4digits: '7450'
                    issuer: MASTERCARD JSB PROBUSINESSBANK CREDITGOLD
                    country: RU
                    type: MASTERCARD
                    expiry: 09/31
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 08:34:33 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '68'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"44-xLIuFC9i8+gafF4HEFQJ/A"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/VoidaCharge-error1'
                  - example:
                      status: error
                      message: No PBTX transaction found
                      data: null
              example:
                status: error
                message: No PBTX transaction found
                data: null
      deprecated: false
components:
  schemas:
    VoidaCharge-success:
      title: VoidaCharge-success
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data'
      example:
        status: success
        message: Charge voided
        data:
          id: 4973327
          tx_ref: YOUR_UNIQUE_REFERENCE
          flw_ref: FLW-MOCK-PREAUTH-1c4b0406fccc0fad316b46f947e870e9
          device_fingerprint: N/A
          amount: 100
          charged_amount: 100
          app_fee: 5.8
          merchant_fee: 0
          processor_response: Approved
          auth_model: NOAUTH
          currency: NGN
          ip: 52.209.154.143
          narration: 'FLW-PBF CARD Transaction '
          status: voided
          auth_url: N/A
          payment_type: card
          plan: null
          fraud_status: ok
          charge_type: preauth
          created_at: '2024-03-18T10:04:04.000Z'
          account_id: 20937
          customer:
            id: 2373843
            phone_number: null
            name: Anonymous customer
            email: developers@flutterwavego.com
            created_at: '2024-03-18T10:04:03.000Z'
          card:
            first_6digits: '537728'
            last_4digits: '7450'
            issuer: MASTERCARD JSB PROBUSINESSBANK CREDITGOLD
            country: RU
            type: MASTERCARD
            expiry: 09/31
    VoidaCharge-error1:
      title: VoidaCharge-error1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: No PBTX transaction found
        data: null
    Data:
      title: Data
      required:
        - id
        - tx_ref
        - flw_ref
        - device_fingerprint
        - amount
        - charged_amount
        - app_fee
        - merchant_fee
        - processor_response
        - auth_model
        - currency
        - ip
        - narration
        - status
        - auth_url
        - payment_type
        - plan
        - fraud_status
        - charge_type
        - created_at
        - account_id
        - customer
        - card
      type: object
      properties:
        id:
          type: integer
          format: int32
        tx_ref:
          type: string
        flw_ref:
          type: string
        device_fingerprint:
          type: string
        amount:
          type: integer
          format: int32
        charged_amount:
          type: integer
          format: int32
        app_fee:
          type: number
        merchant_fee:
          type: integer
          format: int32
        processor_response:
          type: string
        auth_model:
          type: string
        currency:
          type: string
        ip:
          type: string
        narration:
          type: string
        status:
          type: string
        auth_url:
          type: string
        payment_type:
          type: string
        plan:
          type: string
          nullable: true
        fraud_status:
          type: string
        charge_type:
          type: string
        created_at:
          type: string
        account_id:
          type: integer
          format: int32
        customer:
          $ref: '#/components/schemas/Customer'
        card:
          $ref: '#/components/schemas/Card'
      example:
        id: 4973065
        tx_ref: YOUR_UNIQUE_REFERENCE
        flw_ref: FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1
        device_fingerprint: N/A
        amount: 100
        charged_amount: 100
        app_fee: 1.4
        merchant_fee: 0
        processor_response: >-
          Please enter the OTP sent to your mobile number 080****** and email
          te**@rave**.com
        auth_model: NOAUTH
        currency: NGN
        ip: 52.209.154.143
        narration: 'CARD Transaction '
        status: successful
        auth_url: >-
          https://ravesandboxapi.flutterwave.com/mockvbvpage?ref=FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1&code=00&message=Approved.%20Successful&receiptno=RN1710749806478
        payment_type: card
        plan: null
        fraud_status: ok
        charge_type: normal
        created_at: '2024-03-18T08:16:46.000Z'
        account_id: 20937
        customer:
          id: 2373734
          phone_number: null
          name: Anonymous customer
          email: developers@flutterwavego.com
          created_at: '2024-03-18T08:16:46.000Z'
        card:
          first_6digits: '553188'
          last_4digits: '2950'
          issuer: MASTERCARD  CREDIT
          country: NG
          type: MASTERCARD
          expiry: 09/32
    Customer:
      title: Customer
      required:
        - id
        - phone_number
        - name
        - email
        - created_at
      type: object
      properties:
        id:
          type: integer
          format: int32
        phone_number:
          type: string
          nullable: true
        name:
          type: string
        email:
          type: string
        created_at:
          type: string
      example:
        id: 2373734
        phone_number: null
        name: Anonymous customer
        email: developers@flutterwavego.com
        created_at: '2024-03-18T08:16:46.000Z'
    Card:
      title: Card
      required:
        - first_6digits
        - last_4digits
        - issuer
        - country
        - type
        - expiry
      type: object
      properties:
        first_6digits:
          type: string
        last_4digits:
          type: string
        issuer:
          type: string
        country:
          type: string
        type:
          type: string
        expiry:
          type: string
      example:
        first_6digits: '553188'
        last_4digits: '2950'
        issuer: MASTERCARD  CREDIT
        country: NG
        type: MASTERCARD
        expiry: 09/32
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````